Bug 74607 - IOError: [Errno 32] Broken pipe
Summary: IOError: [Errno 32] Broken pipe
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i586 Linux
high
high
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-27 16:06 UTC by -M
Modified: 2015-01-08 00:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-27 00:24:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description -M 2002-09-27 16:06:40 UTC
Description of Problem:

Using up2date --showall | less causes the following error when exiting 
before END using q:

Traceback (most recent call last):
  File "/usr/sbin/up2date", line 806, in ?
    print _("There was some sort of I/O error: %s") % e
IOError: [Errno 32] Broken pipe

Comment 1 -M 2002-10-01 07:47:32 UTC
Moving on to 8.0 release.

Comment 2 Adrian Likins 2002-10-01 21:47:55 UTC
Hmm.

The pipe it is talking is broken by the 'q'.

Probabaly shouldnt traceback of course. I'll
take a look at catching this error and existing
gracefully.


Comment 3 Adrian Likins 2003-01-21 04:30:34 UTC
should be fixed (at least, the traceback is gone) on version 3.1.4 or
higher.

Comment 4 Matt Jamison 2003-05-20 14:52:10 UTC
still getting broken pipe error:

./wrapper.py --showall | less
There was some sort of I/O error: [Errno 32] Broken pipe
version: 3.1.25 1



Note You need to log in before you can comment on or make changes to this bug.